unit MainUnit;

interface

uses
  System.SysUtils, System.Classes, System.UITypes, System.IOUtils,
  FMX.Forms, FMX.Controls, FMX.Types, FMX.StdCtrls, FMX.Edit, FMX.Layouts,
  FMX.Memo, FMX.Objects, Androidapi.JNI.GraphicsContentViewText,
  Androidapi.JNI.App, Androidapi.Helpers, FMX.Controls.Presentation, FMX.DialogService;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
    procedure StartService;
  public
    { Public-Deklarationen }
  end;



var
  Form1: TForm1;

implementation

uses
  IniFiles, Androidapi.JNI.JavaTypes, Androidapi.JNI.Os;



procedure TForm1.StartService;
var
  Intent: JIntent;
  ServiceName: string;
begin
Intent := TJIntent.Create;
    ServiceName := JStringToString(TAndroidHelper.Context.getPackageName) + '.MyBackgroundService';

    Intent.setClassName(
      TAndroidHelper.Context.getPackageName,
      StringToJString(ServiceName)
    );

  if TOSVersion.Check(8) then  // Android 8+ bentigt Foreground-Service
    TAndroidHelper.Context.startForegroundService(Intent)
  else
    TAndroidHelper.Context.startService(Intent);
end;



procedure TForm1.FormCreate(Sender: TObject);
begin
StartService;
end;

end.

